STOFFGraphicStyle Class Reference documentation

STOFFGraphicStyle Class Reference

Class to store a graphic style. More...

`#include <STOFFGraphicStyle.hxx>`

## Public Member Functions
| STOFFGraphicStyle ()
| constructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | operator== (STOFFGraphicStyle const &graphicStyle) const
| operator==
bool | operator!= (STOFFGraphicStyle const &graphicStyle) const
| operator!=

## Static Public Member Functions
static void | checkForDefault (librevenge::RVNGPropertyList &propList)
| check if the line style is set and the fill style is set.
static void | checkForPadding (librevenge::RVNGPropertyList &propList)
| check if the padding margins are set, if not set them to 0

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the property list
bool | m_hasBackground
| true if background attribute is set
bool | m_protections [3]
| the protection: move, size, printable

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFGraphicStyle const &graphicStyle)
| operator<<

## Detailed Description

Class to store a graphic style.

## Constructor & Destructor Documentation

## ◆ STOFFGraphicStyle()

STOFFGraphicStyle::STOFFGraphicStyle | ( |  | ) |

constructor

Referenced by operator!=(), operator<<, and operator==().

## Member Function Documentation

## ◆ addTo()

void STOFFGraphicStyle::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by STOFFGraphicListener::_handleFrameParameters(), STOFFTextListener::_handleFrameParameters(), STOFFGraphicListener::insertEquation(), STOFFGraphicListener::insertPicture(), STOFFGraphicListener::insertShape(), STOFFSpreadsheetListener::insertShape(), and STOFFTextListener::insertShape().

## ◆ checkForDefault()

void STOFFGraphicStyle::checkForDefault | ( | librevenge::RVNGPropertyList & | propList | ) |
| static

check if the line style is set and the fill style is set.

If not set the line style, to black color and the fill style to none

Referenced by STOFFGraphicListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), STOFFTextListener::defineStyle(), STOFFGraphicListener::insertShape(), STOFFSpreadsheetListener::insertShape(), and STOFFTextListener::insertShape().

## ◆ checkForPadding()

void STOFFGraphicStyle::checkForPadding | ( | librevenge::RVNGPropertyList & | propList | ) |
| static

check if the padding margins are set, if not set them to 0

Referenced by STOFFGraphicListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), STOFFTextListener::defineStyle(), STOFFGraphicListener::insertTextBox(), STOFFSpreadsheetListener::insertTextBox(), and STOFFTextListener::insertTextBox().

## ◆ operator!=()

bool STOFFGraphicStyle::operator!= | ( | STOFFGraphicStyle const & | graphicStyle | ) | const
| inline

operator!=

## ◆ operator==()

bool STOFFGraphicStyle::operator== | ( | STOFFGraphicStyle const & | graphicStyle | ) | const

operator==

Referenced by operator!=().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFGraphicStyle const & | graphicStyle )
| friend

operator<<

## Member Data Documentation

## ◆ m_hasBackground

bool STOFFGraphicStyle::m_hasBackground

true if background attribute is set

Referenced by StarGraphicAttribute::StarGAttributeBool::addTo(), operator==(), and STOFFGraphicStyle().

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFGraphicStyle::m_propertyList

the property list

Referenced by StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeShadow::addTo(), StarGraphicAttribute::StarGAttributeBool::addTo(), StarGraphicAttribute::StarGAttributeCrop::addTo(), StarGraphicAttribute::StarGAttributeInt::addTo(), StarGraphicAttribute::StarGAttributeNamedArrow::addTo(), StarGraphicAttribute::StarGAttributeNamedBitmap::addTo(), StarGraphicAttribute::StarGAttributeNamedColor::addTo(), StarGraphicAttribute::StarGAttributeNamedDash::addTo(), StarGraphicAttribute::StarGAttributeNamedGradient::addTo(), StarGraphicAttribute::StarGAttributeNamedHatch::addTo(), StarGraphicAttribute::StarGAttributeUInt::addTo(), StarGraphicAttribute::StarGAttributeVoid::addTo(), addTo(), StarItemPool::defineGraphicStyle(), STOFFGraphicListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), STOFFTextListener::defineStyle(), STOFFSpreadsheetListener::insertTextBox(), STOFFTextListener::insertTextBox(), STOFFSpreadsheetListener::openFrame(), operator<<, operator==(), SDGParser::parse(), StarObjectTextInternal::Content::send(), StarObjectTextInternal::GraphZone::send(), StarObjectTextInternal::OLEZone::send(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), STOFFGraphicStyle(), StarObjectSmallGraphicInternal::SdrGraphic::updateStyle(), and StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle().

## ◆ m_protections

bool STOFFGraphicStyle::m_protections[3]

the protection: move, size, printable

Referenced by StarGraphicAttribute::StarGAttributeBool::addTo(), and STOFFGraphicStyle().

The documentation for this class was generated from the following files:

- STOFFGraphicStyle.hxx
- STOFFGraphicStyle.cxx